Imports CamadaDTO
Imports CamadaDAL
Public Class EnsaioAmostraBLL
    Public Function GetTodosEnsaioAmostras() As List(Of EnsaioAmostra)
        Dim db As New EnsaioAmostraDAL
        Return db.GetEnsaioAmostras
    End Function
    Public Function GetEnsaioAmostrasPorCodigo(ByVal _numeroEnsaio As Integer, ByVal _numeroAmostra As Integer) As EnsaioAmostra
        Dim db As New EnsaioAmostraDAL
        Return db.GetEnsaioAmostraPorId(_numeroEnsaio, _numeroAmostra)
    End Function
    Public Function GetEnsaioAmostraPorEnsaioAmostra(ByVal _numeroEnsaio As Integer, ByVal _numeroAmostra As Integer) As List(Of EnsaioAmostra)
        Dim db As New EnsaioAmostraDAL
        Return db.GetEnsaioAmostraPorEnsaioAmostra(_numeroEnsaio, _numeroAmostra)
    End Function
    Public Function GetEnsaioAmostrasPorEnsaio(ByVal EnsaioID As Integer)
        Dim db As New EnsaioAmostraDAL
        Return db.GetEnsaioAmostrasPorEnsaio(EnsaioID)
    End Function
    Public Function SalvaEnsaioAmostra(ByVal _EnsaioAmostra As EnsaioAmostra)
        Dim db As New EnsaioAmostraDAL
        Return db.SalvaEnsaioAmostra(_EnsaioAmostra)
    End Function

    Public Function SalvaEnsaioAmostraNova(ByVal numeroEnsaio As Integer, ByVal numeroAmostra As Integer)
        Dim db As New EnsaioAmostraDAL
        Return db.SalvaEnsaioAmostraNova(numeroEnsaio, numeroAmostra)
    End Function

    Public Function SalvaAtributoEnsaioAmostra(ByVal numeroEnsaio As Integer, ByVal numeroAmostra As Integer, ByVal campo As String, ByVal resultado As String)
        Dim db As New EnsaioAmostraDAL
        Return db.SalvaAtributoEnsaioAmostra(numeroEnsaio, numeroAmostra, campo, resultado)
    End Function

    Public Function DeletaEnsaioAmostra(ByVal _EnsaioAmostraId As Integer, ByVal _EnsaioId As Integer)
        Dim db As New EnsaioAmostraDAL
        Return db.DeletaEnsaioAmostraPorAmostra(_EnsaioAmostraId, _EnsaioId)
    End Function

    Public Function SalvarFormBPL(ByVal numeroEnsaio As Integer, ByVal numeroAmostra As Integer, ByVal IdentificaAmostra As String, ByVal DataColeta As Date, ByVal DataEnsaio As Date, ByVal RespColeta As String, ByVal Armazenamento As String, ByVal Caracteristicas As String, ByVal valorPh As String, ByVal AjustePh As String, ByVal ValorSalinidade As String, ByVal AjusteSalinidade As String, ByVal ObsevacaoPre As String, ByVal BacteriaNome As String, ByVal BacteriaLote As String, ByVal DataLote As Date, ByVal DataValidade As Date, ByVal CondArma As String, ByVal SolucaoZinco As String, ByVal ConcZinco As String, ByVal PreparoZinco As String, ByVal SoluFenol As String, ByVal ConcFenol As String, ByVal PreparoFenol As String, ByVal SoluCromo As String, ByVal ConceCromo As String, ByVal DataPreparoCromo As Date)
        Dim db As New EnsaioAmostraDAL

        Return db.SalvarFormBPL(numeroEnsaio, numeroAmostra, IdentificaAmostra, DataColeta, DataEnsaio, RespColeta, Armazenamento, Caracteristicas, valorPh, AjustePh, ValorSalinidade, AjusteSalinidade, ObsevacaoPre, BacteriaNome, BacteriaLote, DataLote, DataValidade, CondArma, SolucaoZinco, ConcZinco, PreparoZinco, SoluFenol, ConcFenol, PreparoFenol, SoluCromo, ConceCromo, DataPreparoCromo)

    End Function

    Public Function SalvarFormAmostras(ByVal numeroEnsaio As Integer, ByVal numeroAmostra As Integer, ByVal identificacaoAmostra As String, ByVal codigoAmostra As String, ByVal serieDiluicoes As String, ByVal preDiluicaos As String, ByVal numeroDoBloco As String, ByVal numeroDiluicaoBloco As String, ByVal concentracao As String, ByVal unidade As String, ByVal observacao As String, ByVal livre1 As String, ByVal livre2 As String, ByVal livre3 As String, ByVal livre4 As String, ByVal livre5 As String, ByVal livre6 As String, ByVal livre7 As String, ByVal livre8 As String, ByVal livre9 As String, ByVal livre10 As String, ByVal livre11 As String, ByVal livre12 As String, ByVal livre13 As String, ByVal livre14 As String)
        Dim db As New EnsaioAmostraDAL

        Return db.SalvarFormAmostras(numeroEnsaio, numeroAmostra, identificacaoAmostra, codigoAmostra, serieDiluicoes, preDiluicaos, numeroDoBloco, numeroDiluicaoBloco, concentracao, unidade, observacao, livre1, livre2, livre3, livre4, livre5, livre6, livre7, livre8, livre9, livre10, livre11, livre12, livre13, livre14)

    End Function



End Class
